org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmComplexTypeImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmStructuralTypeImpl
    - - org.apache.olingo.odata2.client.core.edm.Impl.EdmComplexTypeImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmComplexType, EdmMappable, EdmNamed, EdmStructuralType, EdmType

      public class EdmComplexTypeImpl
      extends EdmStructuralTypeImpl
      implements EdmComplexType

  Objects of this class represent ComplexType

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmStructuralTypeImpl

      `edmBaseType, namespace, structuralType`

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmComplexTypeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmComplexType` | `getBaseType()` Base types are described in the OData protocol specification.
    `FullQualifiedName` | `getEdmBaseTypeName()`
    `EdmTypeKind` | `getKind()`
    `EdmMapping` | `getMapping()` Get mapping information applied to an EDM element
    `boolean` | `isAbstract()`
    `void` | `setAbstract(boolean isAbstract)`
    `void` | `setBaseTypeName(FullQualifiedName baseType)`
    `void` | `setMapping(EdmMapping mapping)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmStructuralTypeImpl

      `getAnnotations, getEdmBaseType, getEdmTypeKind, getNamespace, getProperties, getProperty, getPropertyInternal, getPropertyNames, getStructuralType, setAnnotations, setEdmBaseType, setEdmPropertyNames, setEdmTypeKind, setNamespace, setProperties, setStructuralType`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmStructuralType

      `getProperty, getPropertyNames`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmType

      `getNamespace`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Constructor Detail

    - #### EdmComplexTypeImpl

          public EdmComplexTypeImpl()

  - ### Method Detail

    - #### getMapping

          public EdmMapping getMapping()

      Description copied from interface: `EdmMappable`
      Get mapping information applied to an EDM element
      Specified by:
        `getMapping` in interface `EdmMappable`
      Overrides:
        `getMapping` in class `EdmStructuralTypeImpl`
      Returns:
        `EdmMapping`

    - #### setMapping

          public void setMapping(EdmMapping mapping)

    - #### setAbstract

          public void setAbstract(boolean isAbstract)

    - #### getBaseType

          public EdmComplexType getBaseType()
                                     throws EdmException

      Description copied from interface: `EdmStructuralType`
      Base types are described in the OData protocol specification.
      Specified by:
        `getBaseType` in interface `EdmComplexType`
      Specified by:
        `getBaseType` in interface `EdmStructuralType`
      Overrides:
        `getBaseType` in class `EdmStructuralTypeImpl`
      Returns:
        `EdmStructuralType`
      Throws:
        `EdmException`

    - #### getEdmBaseTypeName

          public FullQualifiedName getEdmBaseTypeName()

    - #### setBaseTypeName

          public void setBaseTypeName(FullQualifiedName baseType)

    - #### isAbstract

          public boolean isAbstract()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmStructuralTypeImpl`

    - #### getKind

          public EdmTypeKind getKind()

      Specified by:
        `getKind` in interface `EdmType`
      Overrides:
        `getKind` in class `EdmStructuralTypeImpl`
      Returns:
        `EdmTypeKind` of this `EdmType`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.